# scoreUS
[![Open in Code Ocean](https://codeocean.com/codeocean-assets/badge/open-in-code-ocean.svg)](https://codeocean.com/capsule/e14c55c9-376c-4ece-8d3b-50c7aebe4c23/tree)

DOI: https://doi.org/10.24433/CO.2791944.v1

Y. Takefuji, "The Best and Sustainable COVID-19 Policy in the World," in IEEE Transactions on Computational Social Systems, doi: 10.1109/TCSS.2022.3227926.

Takefuji, Y. Toyokura, J. Time-series COVID-19 policy outcome analysis of the 50 U.S. states. Clinical Immunology Communications. https://doi.org/10.1016/j.clicom.2023.08.002 (2023).


This is a practice or exercise for students.

1. Build a program for scoring U.S. states' policies toward the COVID-19 pandemic. 
Scoring is based on the number of deaths per population (millions).

2. Then, use machine learning for understanding the relationship between its scores and other indicators.
Specify feature-importances in descending order.

Indicators such as the number of deaths, immunization rates, population, 
poverty rates, and others must be used in machine learning.

3. Examine whether the result will play a key role for policymakers in their decision-making against the pandemic.

https://data.cdc.gov/api/views/9bhg-hcku/rows.csv

usscore is to score state COVID-19 policies in the US. 
Scoring is calculated by dividing the number of deaths due to COVID-19 by the population in millions.
The goal of usscore is for states with poor scores to learn good strategies from states with excellent scores.


# How to install usscore on Linux, MacOS, or WSL on Windows
$ pip install usscore

# How to install usscore on Windows 11 or 10
$ pip install usscore --force-reinstall --no-cache-dir --no-binary :all:

# how to run usscore
$ usscore

The result of sorted scores is shown as follows as of March 10 2022.

<img src=https://github.com/y-takefuji/scoreUS/raw/main/score.png  width=515 height=1507>


Comparison with other countries on scores generated by scorecovid:
https://pypi.org/project/scorecovid


<img src=https://github.com/y-takefuji/scoreUS/raw/main/world.png  width=465 height=496>

# deaths of US states:

https://github.com/nytimes/covid-19-data/raw/master/live/us-states.csv

# vaccination rate of US states:

https://covid.ourworldindata.org/data/vaccinations/us_state_vaccinations.csv

# Use PopulationReport.csv on population by state in the US:

https://data.ers.usda.gov/reports.aspx?ID=17827

https://www2.census.gov/programs-surveys/popest/datasets/2020-2021/state/totals/NST-EST2021-alldata.csv

# Use pov.csv file on poverty rate by state in the US:

https://data.ers.usda.gov/reports.aspx?ID=17826

# Use health.csv:

https://www.americashealthrankings.org/explore/health-of-women-and-children/measure/outcomes_hwc_2020/state/ALL

# education

https://www.nationsreportcard.gov/profiles/stateprofile?chort=1&sub=SCI&sj=AL&sfj=NP&st=MN&year=2015R3

